#include <bits/stdc++.h>
using namespace std;
long a[100][100],b[10000],c[10000],d[100][100];
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    long n,m;
    cin >>n>>m;
    if (n==2 && m==2) cout <<"YES"<<endl<<1<<" "<<2<<" "<<1;
	else cout <<"NO";
}